#ifndef BOITE_H
#define BOITE_H

#include "objet.h"

class Boite : public Objet
{
   public:
      Boite (); // Constructeur
      virtual ~Boite (); // Destructeur

      // Fonction se chargeant de l'initialisation de la bote
      virtual void Initialiser (NewtonWorld * nWorld, const CVector &, const CVector &,
                                GLboolean mobile = false, GLfloat masse = 1.0f);
      virtual void Dessiner (); // Dessine l'objet
      virtual void SetColor (const CVector &); // Rgle les couleurs

   private:
      CVector m_taille; // Dimensions de la bote
};

#endif // BOITE_H
