#ifndef SPHERE_H
#define SPHERE_H

#include "Objet.h"

class Sphere : public Objet
{
   public:
      Sphere (); // Constructeur
      virtual ~Sphere (); // Destructeur

      // Fonction se chargeant de l'initialisation de la bote
      virtual void Initialiser (NewtonWorld * nWorld, GLfloat, const CVector &,
                                GLboolean mobile = false, GLfloat masse = 1.0f);
      virtual void Dessiner (); // Dessine l'objet
      virtual void SetColor (const CVector &); // Rgle les couleurs

   private:
      GLfloat m_rayon;
      GLUquadric * m_sphere;
};

#endif // SPHERE_H
